> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search and paginate Contacts

> Searches logical organization Contacts in Postgres using the standard page and pageSize pagination contract.



## OpenAPI

````yaml get /api/v2/contact
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/contact:
    get:
      tags:
        - Contacts
      summary: Search and paginate Contacts
      description: >-
        Searches logical organization Contacts in Postgres using the standard
        page and pageSize pagination contract.
      parameters:
        - name: q
          in: query
          description: Case-insensitive name, email, or phone search.
          schema:
            type: string
        - name: id
          in: query
          description: Exact Contact id.
          schema:
            type: string
        - name: phone
          in: query
          description: Exact phone.
          schema:
            type: string
        - name: email
          in: query
          description: Exact email.
          schema:
            type: string
        - name: status
          in: query
          description: Exact status.
          schema:
            type: string
        - name: source
          in: query
          description: Exact contactSource.
          schema:
            type: string
        - name: leadSource
          in: query
          description: Exact leadSource.
          schema:
            type: string
        - name: list
          in: query
          description: Exact Contact List membership.
          schema:
            type: string
        - name: customFieldPath
          in: query
          description: >-
            Exact nested path below customFields, for example
            objective.lastOutcome.
          schema:
            type: string
        - name: customFieldValue
          in: query
          description: Exact string value required with customFieldPath.
          schema:
            type: string
        - name: page
          in: query
          description: Page number starting at 1. Defaults to 1.
          schema:
            type: integer
        - name: pageSize
          in: query
          description: Page size. Defaults to 20 and is capped at 100.
          schema:
            type: integer
        - name: sort
          in: query
          description: updatedAt, createdAt, id, name, email, or phone.
          schema:
            type: string
        - name: order
          in: query
          description: asc or desc.
          schema:
            type: string
      responses:
        default:
          description: ''
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````